Welcome to the New BigPanda API Documentation
Bearer.Authorization: Bearer [YOUR_USER_API_KEY]🚧 Tag value format Incident tag values are generally a single string. When this value is for an incident tag with a fixed list type, the value must be encased in brackets '[]'
curl --location --request PUT 'https://api.bigpanda.io/resources/v2.0/incidents/tags/definitions/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"description": "string",
"type": "string",
"active": true,
"canManualInput": true,
"enrichment_config": {
"append_matching_items": true,
"items": [
{
"value": "string",
"condition": "string"
}
]
}
}'{
"id": "affected services",
"name": "Affected_Services",
"description": "List of affected services",
"type": "Multivalue",
"active": true,
"created_by": "63bd56897755560012bf3555",
"created_at": 1613252381,
"updated_by": "63bd56897755560012bf3555",
"updated_at": 1613252381,
"config": {
"ordered_list": [
"string"
],
"incident_tag_values": [
"string"
]
},
"enrichment_config": {
"items": [
{
"value": 1000,
"condition": "priority = \"p0\"",
"id": "d9e7a648-48b2-4d28-a42d-398a7b0da237"
}
],
"append_matching_items": false
}
}